import { Message, RawMessage, ParseStringOptions } from './types';
/**
 * Takes an array of lines and detects the lines that are part of a previous
 * message (multiline messages) and merges them.
 *
 * It also labels messages without an author as system messages.
 */
declare function makeArrayOfMessages(lines: string[]): RawMessage[];
/**
 * Parses and array of raw messages into an array of structured objects.
 */
declare function parseMessages(messages: RawMessage[], options?: ParseStringOptions): Message[];
export { makeArrayOfMessages, parseMessages };
